Download it now!
Bug 129908 - Crash at Data > Group and outlone > AutoOutline
Summary: Crash at Data > Group and outlone > AutoOutline
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.3.5 target:6.4.0
Keywords: bibisected, bisected, haveBacktrace, needUITest, regression
Depends on:
Blocks: Cell-Management Regressions-1024plus-Columns
  Show dependency treegraph
 
Reported: 2020-01-09 14:25 UTC by raal
Modified: 2020-06-03 02:44 UTC (History)
5 users (show)

See Also:
Crash report or crash signature: ["ScColumn::FindUsed(long,long,mdds::flat_segment_tree%3Clong,bool%3E%20&)"]


Attachments
bt with debug symbols (8.75 KB, text/plain)
2020-01-09 20:13 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2020-01-09 14:25:52 UTC
Description:
Crash at Data > Group and outlone > AutoOutline

Steps to Reproduce:
1.Open new Calc sheet
2.Data > Group and outlone > AutoOutline
3.

Actual Results:
crash

Expected Results:
no crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 raal 2020-01-09 14:27:31 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin; Could you possibly take a look at this one? Thanks

d53ef167063b0e2c18e7e703af4407b40c664fb2 is the first bad commit
commit d53ef167063b0e2c18e7e703af4407b40c664fb2
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Apr 5 04:58:29 2019 -0700

    source sha:7282014e362a1529a36c88eb308df8ed359c2cfa

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-02-01 15:15:16 +0100
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-04-05 13:43:52 +0200
commit	7282014e362a1529a36c88eb308df8ed359c2cfa (patch)
tree	2776ad9601f494330076ac58c08554e719c6ab3a
parent	df30a4515b1303b0891baa53754fa9b3e47e0c02 (diff)
tdf#50916 Makes numbers of columns dynamic.
Comment 2 Xisco Faulí 2020-01-09 15:32:35 UTC
Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: 838935758a5ec8e0e68f4df0cf5bfcf737e3f6f2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Julien Nabet 2020-01-09 20:13:27 UTC
Created attachment 157045 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 4 Julien Nabet 2020-01-09 20:17:16 UTC
I suppose it needs some call to ClampToAllocatedColumns but what's the most relevant location?
Comment 5 Commit Notification 2020-01-13 14:10:29 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b56e0d7f7fb9f1ca9295ac2ba540a3cf778324b9

tdf#129908 Crash at Data > Group and outlone > AutoOutline

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-01-13 16:45:40 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/94b6adc7eac7e5346c0432d606951ee0b1f9072e

tdf#129908 Crash at Data > Group and outlone > AutoOutline

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-01-13 16:45:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/2f7671ea28761b5212dbfcc3b6538b5b9e4d9a38

tdf#129908 Crash at Data > Group and outlone > AutoOutline

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-01-14 14:06:11 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: bcc6b77164134a1ea84f8ac2f5b8e6afa02e4228
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 9 Commit Notification 2020-01-14 17:11:58 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-0":

https://git.libreoffice.org/core/commit/6515ee03560f8d21f006fa75ffd2dbd4bc15fdc2

tdf#129908 Crash at Data > Group and outlone > AutoOutline

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.